# class Gtk::SpinButton

### Public Class Methods

new(arg0, arg1=nil, arg2=nil) click to toggle source

    # File lib/gtk3/spin-button.rb, line 20
    def initialize(arg0, arg1=nil, arg2=nil)
      if arg0.is_a?(Adjustment)
        adjustment = arg0
        climb_rate = arg1 || 0.0
        digits     = arg2 || 0
        initialize_raw(adjustment, climb_rate, digits)
      else
        min  = arg0
        max  = arg1
        step = arg2
        initialize_new_with_range(min, max, step)
      end
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(arg0, arg1=nil, arg2=nil)
Alias for: new